<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [puppeteer](./puppeteer.md) &gt; [ConsoleMessage](./puppeteer.consolemessage.md)

## ConsoleMessage class

ConsoleMessage objects are dispatched by page via the 'console' event.

<b>Signature:</b>

```typescript
export declare class ConsoleMessage 
```

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(type, text, args, location)](./puppeteer.consolemessage._constructor_.md) |  | Constructs a new instance of the <code>ConsoleMessage</code> class |

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [args()](./puppeteer.consolemessage.args.md) |  |  |
|  [location()](./puppeteer.consolemessage.location.md) |  |  |
|  [text()](./puppeteer.consolemessage.text.md) |  |  |
|  [type()](./puppeteer.consolemessage.type.md) |  |  |

